#
# spec file for package libconfini
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libconfini
Version:        1.16.4
Release:        1.5
Summary:        INI file parser libarary
License:        GPL-3.0-or-later
URL:            https://madmurphy.github.io/libconfini
Source:         https://github.com/madmurphy/libconfini/releases/download/%{version}/%{name}-%{version}-with-configure.tar.gz
BuildRequires:  pkgconfig

%description
libconfini is a INI file parser library written in C.

%package -n %{name}0
Summary:        INI file parser library

%description -n %{name}0
libconfini is a INI file parser library written in C.

%package devel
Summary:        INI file parser library - development files
Requires:       %{name}0 = %{version}

%description devel
libconfini is a INI file parser library written in C.
This package contains files required for development.

%prep
%setup -q -n %{name}-%{version}-with-configure

%build
%configure --disable-static --docdir=%{_docdir}/%{name}
%make_build

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print

%check
%make_build check

%post -n %{name}0 -p /sbin/ldconfig
%postun -n %{name}0 -p /sbin/ldconfig

%files -n %{name}0
%license COPYING
%{_libdir}/libconfini.so.*

%files devel
%license COPYING
%doc %{_docdir}/%{name}
%{_mandir}/man3/*.3%{?ext_man}
%{_libdir}/libconfini.so
%{_includedir}/*
%{_libdir}/pkgconfig/libconfini.pc

%changelog
* Thu Jul 21 2022 Andreas Stieger <andreas.stieger@gmx.de>
- libconfini 1.16.4:
  * load_ini_path(): fclose() was not invoked in case of errors
* Thu Nov 11 2021 Andreas Stieger <andreas.stieger@gmx.de>
- libconfini 1.16.3:
  * performance optimizations
* Mon Sep 27 2021 Andreas Stieger <andreas.stieger@gmx.de>
- libconfini 1.16.2:
  * fix heap buffer overflow when parsing a multiline comment
* Thu Jun 17 2021 Andreas Stieger <andreas.stieger@gmx.de>
- libconfini 1.16.1:
  * updates to documentation and examples
* Tue Oct 27 2020 Andreas Stieger <andreas.stieger@gmx.de>
- libconfini 1.16.0:
  * new function ini_get_bool_i()
  * documentation and examples
* Wed Oct  7 2020 Andreas Stieger <andreas.stieger@gmx.de>
- libconfini 1.15.0:
  * Public function ini_global_set_lowercase_mode() and global
    variable INI_GLOBAL_LOWERCASE_MODE marked as deprecated
  * Global integer constant INI_DISABLED_FLAG and macro
    INI_IS_IMPLICIT_SUBSTR() added to the public header
  * Documentation, Examples, build system fixes and minor bug fixes
* Fri Sep 25 2020 Andreas Stieger <andreas.stieger@gmx.de>
- libconfini 1.14.2:
  * Improved re-implementation of stdbool.h in case of --with-io-api=nolibc
  * Documentation, Examples
* Tue May 12 2020 Andreas Stieger <andreas.stieger@gmx.de>
- update to 1.14.1:
  * Documentation updates
* Mon Mar  2 2020 Andreas Stieger <andreas.stieger@gmx.de>
- update to 1.14.0:
  * Added implicit value checks to multiple functions
  * Add constant CONFINI_EROADDR to ConfiniInterruptNo enum
  * New examples
* Sun Feb  9 2020 Andreas Stieger <andreas.stieger@gmx.de>
- update to 1.13.0:
  * Support for C++ has been improved
* Fri Nov 29 2019 Andreas Stieger <andreas.stieger@gmx.de>
- update to 1.12.0:
  * ini_get_float() marked as deprecated in favour of ini_get_double()
* Sat Nov  2 2019 Andreas Stieger <andreas.stieger@gmx.de>
- update to 1.11.0:
  * internal improvements and better error handling
* Sat Oct 19 2019 Andreas Stieger <andreas.stieger@gmx.de>
- update to 1.10.4:
  * build system changes
* Fri Oct  4 2019 Andreas Stieger <andreas.stieger@gmx.de>
- update to 1.10.2:
  * New examples
  * configure system improvements
* Sun Sep 22 2019 Andreas Stieger <andreas.stieger@gmx.de>
- initial version (1.10.1)
